Use Hangouts Meet with Internet Explorer 11

Quick launch summary

We’ve added limited Hangouts Meet support in Microsoft Internet Explorer 11. You’ll need to download and install the latest version of the Google Video Support Plugin for Meet to run on Internet Explorer.

Please check out the Help Center to learn more about supported browsers and some of the limitations of using Hangouts Meet with Internet Explorer.

Availability

Rollout details
G Suite editions

  • Available to all G Suite editions

On/off by default?

  • This feature will be OFF by default. Please download the plugin to use Meet with Internet Explorer.

Stay up to date with G Suite launches


News Article Courtesy Of Unknown »